-- phpMyAdmin SQL Dump
-- version 5.1.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Aug 12, 2022 at 03:58 PM
-- Server version: 10.4.22-MariaDB
-- PHP Version: 8.1.2

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `jsppos`
--

-- --------------------------------------------------------

--
-- Table structure for table `brand`
--

CREATE TABLE `brand` (
  `id` int(11) NOT NULL,
  `brandname` varchar(255) NOT NULL,
  `status` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `brand`
--

INSERT INTO `brand` (`id`, `brandname`, `status`) VALUES
(1, 'LG', 1),
(2, 'd', 1),
(3, 'Sony', 1);

-- --------------------------------------------------------

--
-- Table structure for table `category`
--

CREATE TABLE `category` (
  `id` int(11) NOT NULL,
  `catname` varchar(255) NOT NULL,
  `status` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `category`
--

INSERT INTO `category` (`id`, `catname`, `status`) VALUES
(2, 'Book', 1),
(5, 'Fan', 1);

-- --------------------------------------------------------

--
-- Table structure for table `product`
--

CREATE TABLE `product` (
  `id` int(11) NOT NULL,
  `prodname` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `category` int(11) NOT NULL,
  `brand` int(11) NOT NULL,
  `costprice` int(11) NOT NULL,
  `retailprice` int(11) NOT NULL,
  `qty` int(11) NOT NULL,
  `rlevel` int(11) NOT NULL,
  `barcode` int(11) NOT NULL,
  `sdate` date NOT NULL,
  `status` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `product`
--

INSERT INTO `product` (`id`, `prodname`, `description`, `category`, `brand`, `costprice`, `retailprice`, `qty`, `rlevel`, `barcode`, `sdate`, `status`) VALUES
(3, 'Lgfan', 'Lgfan', 5, 1, 12000, 14000, 20, 100, 1212, '2020-01-06', 1),
(4, 'Samsung Mobile', 'Samsung Mobile', 1, 1, 23000, 30000, 200, 10, 1313, '2022-08-01', 1);

-- --------------------------------------------------------

--
-- Table structure for table `purchase`
--

CREATE TABLE `purchase` (
  `id` int(11) NOT NULL,
  `date` datetime NOT NULL,
  `subtotal` int(11) NOT NULL,
  `pay` int(11) NOT NULL,
  `bal` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `purchase`
--

INSERT INTO `purchase` (`id`, `date`, `subtotal`, `pay`, `bal`) VALUES
(30, '2020-01-10 12:28:11', 14000, 2000, 12000),
(31, '2020-01-10 12:31:05', 14000, 3, 13997),
(32, '2020-01-10 12:40:32', 14000, 3, 13997),
(33, '2020-01-10 13:19:05', 322000, 40000, 282000),
(34, '2020-01-10 18:05:47', 14000, 12000, 2000),
(35, '2020-01-10 18:12:50', 42000, 30000, 12000),
(36, '2020-01-10 18:30:39', 84000, 3000, 81000),
(37, '2020-01-10 19:01:59', 14000, 3, 13997),
(38, '2020-01-10 19:02:25', 98000, 333, 97667),
(39, '2020-01-10 19:13:17', 84000, 677, 83323),
(40, '2020-01-10 19:41:38', 70000, 56000, 14000),
(41, '2020-01-10 21:19:37', 56000, 33, 55967),
(42, '2020-01-11 08:36:46', 42000, 6000, 36000),
(43, '2020-01-11 09:11:02', 14000, 12000, 2000),
(44, '2020-01-15 10:49:13', 14000, 34, 13966);

-- --------------------------------------------------------

--
-- Table structure for table `purchase_product`
--

CREATE TABLE `purchase_product` (
  `id` int(11) NOT NULL,
  `purchase_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `price` int(11) NOT NULL,
  `qty` int(11) NOT NULL,
  `total` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `purchase_product`
--

INSERT INTO `purchase_product` (`id`, `purchase_id`, `product_id`, `price`, `qty`, `total`) VALUES
(4, 30, 1212, 14000, 1, 14000),
(5, 31, 1212, 14000, 1, 14000),
(6, 32, 1212, 14000, 1, 14000),
(7, 33, 1212, 14000, 23, 322000),
(8, 34, 1212, 14000, 1, 14000),
(9, 35, 1212, 14000, 1, 14000),
(10, 35, 1212, 14000, 2, 28000),
(11, 36, 1212, 14000, 1, 14000),
(12, 36, 1212, 14000, 3, 42000),
(13, 36, 1212, 14000, 2, 28000),
(14, 37, 1212, 14000, 1, 14000),
(15, 38, 1212, 14000, 1, 14000),
(16, 38, 1212, 14000, 2, 28000),
(17, 38, 1212, 14000, 4, 56000),
(18, 39, 1212, 14000, 1, 14000),
(19, 39, 1212, 14000, 5, 70000),
(20, 40, 1212, 14000, 1, 14000),
(21, 40, 1212, 14000, 4, 56000),
(22, 41, 1212, 14000, 4, 56000),
(23, 42, 1212, 14000, 3, 42000),
(24, 43, 1212, 14000, 1, 14000),
(25, 44, 1212, 14000, 1, 14000);

-- --------------------------------------------------------

--
-- Table structure for table `sales`
--

CREATE TABLE `sales` (
  `id` int(11) NOT NULL,
  `date` varchar(255) NOT NULL,
  `subtotal` int(11) NOT NULL,
  `pay` int(11) NOT NULL,
  `bal` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `sales`
--

INSERT INTO `sales` (`id`, `date`, `subtotal`, `pay`, `bal`) VALUES
(187, '2022-07-28', 15000, 120000, 45555),
(188, '2022-07-28', 1212, 111, 11),
(189, '2022-07-28', 1223, 111, 2333),
(190, '2022-07-28', 33, 22, 333),
(191, '2022-07-28', 23333, 222, 333),
(192, '2022-07-28', 1212, 12, 334),
(193, '2022-07-28', 34, 44, 11),
(194, '2022-07-28', 34444, 2344, 2333),
(195, '2022-07-28', 23, 2, 1),
(196, '2022-07-28', 23, 2, 1),
(197, '2022-07-28', 34455, 11111, 222),
(198, '2022-07-28', 121, 223, 344),
(199, '2022-07-28', 3, 2, 1),
(200, '2022-07-28', 4, 3, 2),
(201, '2022-07-28', 3, 4, 2),
(202, '2022-07-28', 4, 5, 5),
(203, '2022-07-28', 3, 4, 2),
(204, '2022-07-28', 3, 4, 1),
(205, '2022-07-28', 4, 5, 2),
(206, '2022-07-29', 3, 1, 2),
(207, '2022-07-29', 2, 4, 1),
(208, '2022-07-29', 6, 5, 2),
(209, '2022-07-29', 4, 1, 2),
(210, '2022-07-29', 4, 6, 1),
(211, '2022-07-29', 5, 2, 3),
(212, '2022-07-29', 56000, 60000, 4000),
(213, '2022-07-29', 56000, 60000, 4000),
(214, '2022-07-29', 28000, 30000, 2000),
(215, '2022-07-29', 56000, 60000, 4000),
(216, '2022-07-29', 84000, 90000, 6000),
(217, '2022-07-29', 28000, 40000, 12000),
(218, '2022-08-08', 56000, 60000, 4000),
(219, '2022-08-08', 112000, 200000, 88000);

-- --------------------------------------------------------

--
-- Table structure for table `sales_product`
--

CREATE TABLE `sales_product` (
  `id` int(11) NOT NULL,
  `sales_id` int(11) NOT NULL,
  `prod_id` int(11) NOT NULL,
  `price` int(11) NOT NULL,
  `qty` int(11) NOT NULL,
  `total` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `sales_product`
--

INSERT INTO `sales_product` (`id`, `sales_id`, `prod_id`, `price`, `qty`, `total`) VALUES
(370, 193, 1212, 14000, 2, 28000),
(371, 193, 1212, 14000, 1, 28000),
(372, 194, 1212, 14000, 1, 14000),
(373, 194, 1212, 14000, 2, 28000),
(374, 195, 1212, 14000, 1, 14000),
(375, 195, 1212, 14000, 1, 14000),
(376, 196, 1212, 14000, 1, 14000),
(377, 197, 1212, 14000, 1, 14000),
(378, 197, 1212, 14000, 1, 14000),
(379, 198, 1212, 14000, 1, 14000),
(380, 198, 1212, 14000, 1, 14000),
(381, 199, 1212, 14000, 1, 14000),
(382, 200, 1212, 14000, 1, 14000),
(383, 201, 1212, 14000, 2, 28000),
(384, 202, 1212, 14000, 1, 14000),
(385, 203, 1212, 14000, 1, 14000),
(386, 204, 1212, 14000, 1, 14000),
(387, 205, 1212, 14000, 1, 14000),
(388, 206, 1212, 14000, 1, 14000),
(389, 207, 1212, 14000, 1, 14000),
(390, 208, 1212, 14000, 1, 14000),
(391, 208, 1212, 14000, 3, 42000),
(392, 209, 1212, 14000, 1, 14000),
(393, 210, 1212, 14000, 1, 14000),
(394, 211, 1212, 14000, 1, 14000),
(395, 212, 1212, 14000, 1, 14000),
(396, 212, 1212, 14000, 2, 28000),
(397, 213, 1212, 14000, 1, 14000),
(398, 213, 1212, 14000, 2, 28000),
(399, 214, 1212, 14000, 1, 14000),
(400, 215, 1212, 14000, 2, 28000),
(401, 216, 1212, 14000, 3, 42000),
(402, 217, 1212, 14000, 1, 14000),
(403, 218, 1212, 14000, 2, 28000),
(404, 219, 1212, 14000, 4, 56000);

-- --------------------------------------------------------

--
-- Table structure for table `user`
--

CREATE TABLE `user` (
  `id` int(11) NOT NULL,
  `username` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `utype` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `user`
--

INSERT INTO `user` (`id`, `username`, `password`, `utype`) VALUES
(1, 'kobi', '123', 1),
(2, 'laven', '321', 2);

-- --------------------------------------------------------

--
-- Table structure for table `vendor`
--

CREATE TABLE `vendor` (
  `id` int(11) NOT NULL,
  `vname` varchar(255) NOT NULL,
  `contactno` int(11) NOT NULL,
  `email` varchar(255) NOT NULL,
  `address` varchar(255) NOT NULL,
  `status` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `vendor`
--

INSERT INTO `vendor` (`id`, `vname`, `contactno`, `email`, `address`, `status`) VALUES
(1, 'd', 22, 'ff', '0', 1),
(2, 'fg', 222, 'kobi.ram@gmail.com', 'qwww', 1),
(3, 'fg', 222, 'kobi.ram@gmail.com', 'qwww', 1),
(4, 'kobi', 222, 'amarathunga.npp@gmail.com', 's', 1),
(5, 'a', 99999, 'kobi.ram@gmail.com', 'd', 2),
(6, 'd', 33, 'programmer hari', 'ss', 1),
(7, 'ioooooo', 444444, 'info@innovation.lk', 'sdddddd', 1);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `brand`
--
ALTER TABLE `brand`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `category`
--
ALTER TABLE `category`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `product`
--
ALTER TABLE `product`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `purchase`
--
ALTER TABLE `purchase`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `purchase_product`
--
ALTER TABLE `purchase_product`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `sales`
--
ALTER TABLE `sales`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `sales_product`
--
ALTER TABLE `sales_product`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `user`
--
ALTER TABLE `user`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `vendor`
--
ALTER TABLE `vendor`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `brand`
--
ALTER TABLE `brand`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `category`
--
ALTER TABLE `category`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `product`
--
ALTER TABLE `product`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `purchase`
--
ALTER TABLE `purchase`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=45;

--
-- AUTO_INCREMENT for table `purchase_product`
--
ALTER TABLE `purchase_product`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=26;

--
-- AUTO_INCREMENT for table `sales`
--
ALTER TABLE `sales`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=220;

--
-- AUTO_INCREMENT for table `sales_product`
--
ALTER TABLE `sales_product`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=405;

--
-- AUTO_INCREMENT for table `user`
--
ALTER TABLE `user`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `vendor`
--
ALTER TABLE `vendor`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
