
import com.google.gson.Gson;
import com.google.gson.JsonArray;
import com.google.gson.JsonElement;
import com.google.gson.JsonParser;
import java.io.IOException;
import java.io.PrintWriter;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.json.simple.JSONArray;
import org.json.simple.JSONObject;

@WebServlet("/salesadd")
public class salesadd extends HttpServlet 
{
       @Override
      protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException 
    {
        
           response.setContentType("text/html;charset=UTF-8");
           PrintWriter out = response.getWriter();
           Connection con;
           PreparedStatement pst; 
           PreparedStatement pst1; 
           PreparedStatement pst2; 
           
           
            DateTimeFormatter dtf = DateTimeFormatter.ofPattern("yyyy-MM-dd");
            LocalDateTime now = LocalDateTime.now();
            String date = dtf.format(now);
            

           
           
            String jsonData = request.getParameter("data1");
            String uname = request.getParameter("uname");
            
            
            String subtotal = request.getParameter("subtotal");
            String pay = request.getParameter("pay");
            String balance = request.getParameter("balance");
            int lastinsetid  = 0;
           
           try
           {
           JSONArray list = new JSONArray();
           JSONObject obj = new JSONObject();
           Class.forName("com.mysql.jdbc.Driver");
           con = DriverManager.getConnection("jdbc:mysql://localhost/jsppos", "root", ""); 
           String query = "insert into sales(casier,date,subtotal,pay,bal)values(?,?,?,?,?)";          
           pst1 = con.prepareStatement(query,Statement.RETURN_GENERATED_KEYS);        
           pst1.setString(1, uname);
           pst1.setString(2, date);
           pst1.setString(3, subtotal);
           pst1.setString(4, pay);
           pst1.setString(5, balance);
           pst1.executeUpdate();
           ResultSet genteratedKeyResult = pst1.getGeneratedKeys();
           
           if(genteratedKeyResult.next())
            {
                lastinsetid =genteratedKeyResult.getInt(1);
            }
           
           String newval = String.valueOf(lastinsetid);
           obj.put("newval",newval);
           
           list.add(obj);
           out.print(list.toJSONString());
           out.flush(); 
           Gson gson = new Gson();
           List<Product> objectList = getObjectList(jsonData, Product.class);
           
           
         for (Product product : objectList) 
         {

           try
           { 
             
            Class.forName("com.mysql.jdbc.Driver");
            int barcode = product.get_barcode();
            int qty     =  product.getQty();
            pst2 = con.prepareStatement("update product set qty =qty-? where id =?  ");
            pst2.setInt(1, qty);
            pst2.setInt(2, barcode);
            pst2.executeUpdate();    

           pst = con.prepareStatement("insert into sales_product(sales_id,prod_id,price,qty,total)values(?,?,?,?,?) ");
           pst.setInt(1, lastinsetid);
           pst.setInt(2, product.get_barcode());
           pst.setInt(3, product.getPrice());
           pst.setInt(4, product.getQty());
           pst.setInt(5, product.getTotal());
           pst.executeUpdate(); 
           
           } 
           
           catch (SQLException ex) 
           {
           ex.printStackTrace(); 
           }      
           catch (ClassNotFoundException ex) 
           {
                ex.printStackTrace(); 
           }
        
      }
           } 
           catch (SQLException ex)
           {
            ex.printStackTrace(); 
           } catch (ClassNotFoundException ex) {
               ex.printStackTrace(); 
           }
    }
    public static <T> List<T> getObjectList(String jsonString,Class<T> cls){
    List<T> list = new ArrayList<>();
    try {
        Gson gson = new Gson();
        JsonArray arry = new JsonParser().parse(jsonString).getAsJsonArray();
        for (JsonElement jsonElement : arry) 
        {
            list.add(gson.fromJson(jsonElement, cls));
        }
    } catch (Exception e) 
    {
        e.printStackTrace();
    }
    return list;
}
   
}
    
    
    
    

