 <%-- 
    Document   : index
    Created on : Sep 19, 2019, 10:39:22 AM
    Author     : kobinath
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>JSP Page</title>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
        <link rel="stylesheet" href="//cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css">
    </head>
    <body>
        
        <nav class="navbar navbar-dark bg-primary">
            <h3 style="color: white">POS Management System Crud Using Jsp Ajax</h3>
        </nav>
        
        </br>
        <div class="container-fluid bg-2 text-center">
<div class="row">
    <div class="col-sm-8">
        <form class="form-horizontal" id="frmInvoice">

            <table class="table table-bordered">
                <caption> Add Products  </caption>
                <tr>
                    <th>Product Code</th>
                    <th>Product Name</th>
                    <th>Price</th>
                    <th>Qty</th>
                   
                    <th>Amount</th>
                    <th>Option</th>
                </tr>
                <tr>
                    <td>
                        <input type="text" class="form-control" placeholder="barcode" id="barcode" name="barcode"  size="25px"  required>
                    </td>
                    <td>
                        <label id="pro_name" name="pname" id="pname"></label>
                        <input  type="text" class="form-control" placeholder="barcode" id="pname" name="pname" size="50px"  disabled >
                    </td>
                    <td>
                        <input type="text" class="form-control pro_price" id="pro_price" size="25px"   name="pro_price"
                               placeholder="price" disabled>
                    </td>
                    <td>
                        <input type="number" class="form-control pro_price" id="qty" name="qty"
                               placeholder="qty" min="1" value="1" size="10px" required>
                    </td>
                   
                    <td>
                        <input type="text" class="form-control" placeholder="total_cost" size="35px" id="total_cost" name="total_cost" disabled>
                    </td>
                    <td>
                        <button class="btn btn-success" type="button" onclick="addproduct()">Add
                        </button>
                    </td>
                </tr>
            </table>
        </form>
            <table class="table table-bordered" id="product_list">
                <caption> Products</caption>
                <thead>
                <tr>
                    <th style="width: 40px">Remove</th>
                    <th>Product Code</th>
                    <th>Product Name</th>
                    <th>Unit price</th>
                    <th>Qty</th>
                  
                    <th>Amount</th>
                </tr>
                </thead>

                <tbody>
                    
                </tbody>
            </table>
    </div>




 
    <div class="col-sm-4">
      
        <div class="col s12 m6 offset-m4">
    


            <div class="form-group" align="left">
                <label class="form-label">Total</label>
                <input type="text" class="form-control" placeholder="Total" id="subtotal" name="subtotal" size="30px" required >
            </div>

            

            <div class="form-group" align="left">
                <label class="form-label">Grand Total</label>
                <input type="text" class="form-control" placeholder="Grand Total" id="grandtotal" name="grandtotal" size="30px" required >
            </div>

            <div class="form-group" align="left">
                <label class="form-label">Pay</label>
                <input type="text" class="form-control" placeholder="Pay" id="pay" name="pay" size="30px" required>
            </div>

            <div class="form-group" align="left">
                <label class="form-label">Balance</label>
                <input type="text" class="form-control" placeholder="Balance" id="balance" name="balance" size="30px"  >
            </div>
        </form>

         
         
            <div class="form-group" align="left">
                <label class="col-sm-2 control-label">Status</label>
                <select class="form-control" id="payment" name="payment"
                        placeholder="Project Status" required>
                    <option value="">Please Select</option>
                    <option value="1">Cash</option>
                    <option value="2">Cheque</option>
                </select>
            </div>


            <div class="card" align="right">

                <button type="button" id="save" class="btn btn-info" onclick="addProject()">Print Invoice
                </button>
                <button type="button" id="clear" class="btn btn-warning" onclick="reSet()">Reset</button>

            </div>
        </div>
           
    </div>

</div>

<br><br>
        
        <script src="../component/jquery/jquery.js" type="text/javascript"></script>

        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>

        
        
        <script src="../component/jquery.validate.min.js" type="text/javascript"></script>
         <script src="//cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js" type="text/javascript"></script>
        
        
        
        <script>
            
          //  getall();
            var isNew = true;
            var catid = null;
            
            getCategory();




function getCategory(){
    
    
    $.ajax({

        type: "GET",
        url: "get_category.jsp" ,
        dataType: "JSON",
        
         success: function(msg)
        {
            console.log(msg);

            for (var i = 0; i < msg.length; i++) {
                $('#category').append($("<option/>", {
                    value: msg[i].id,
                    text: msg[i].catname ,
                }));
            }             
        },
        
       
        error: function (xhr, status, error) {
            alert(xhr.responseText);
//
        }

    });
}
getProductcode();


    function getProductcode() {

        $("#barcode").empty();
        $("#barcode").keyup(function(e) {
            var q = $("#barcode").val();
            
            
            if($('#barcode').val().length == 0 ){
                $.alert({
                    title: 'Error!',
                    content: "Please Enter the Barcode",
                    type: 'red',
                    autoClose: 'ok|2000'
                });
                return false;
            }
            $.ajax({
                type: "POST",
                url: "get_id.jsp",
                dataType: "JSON",
           
                 data: {"a": $("#barcode").val()},
                
                success: function(data) {


            //    console.log(msg);
          //   var obj = JSON.parse(msg); 
        
          //  $("#bal").val(obj[0].bal);              
        //    $("#aq").val(obj[0].name);


                    $("#pname").val(data[0].prodname);
                    $("#pro_price").val(data[0].price);
                   
                    $("#qty").focus();
                    current_stock=Number(data[0].qty);

                    console.log(data.qty);
                },
                error: function(xhr, status, error) {

                }
            });
        });
    }





$(function() {
        $("#pro_price, #qty").on("keydown keyup click", qty);

        function qty() {
            var sum = (
            Number($("#pro_price").val()) * Number($("#qty").val())
            );
            $('#total_cost').val(sum);
            console.log(sum);
        }
    });

 $(function() {
        $("#total, #pay").on("keydown keyup", per);

        function per() {
            var totalamount = (
            Number($("#pay").val()) - Number($("#total").val())
            );
            $("#balance").val(totalamount);
        }
    });










 var total = 0;
 function addproduct() 
 {
        var barcode = $('#barcode').val();
        var pname = $('#pname').val();
        var pro_price = $('#pro_price').val();
        var qty = $('#qty').val();
        var total_cost = $('#total_cost').val();
       
         var table1 =
                "<tr>" +
                "<td><button type='button' name='record' class='btn btn-warning' onclick='deleterow(this)'>Delete </td>" +
                 "<td>" + barcode + "</td>" +
                "<td>" + pname + "</td>" +
                "<td>" +  pro_price +  "</td>" +
                "<td>" +  qty +  "</td>" +
                "<td>" +  total_cost +  "</td>" +
                "</tr>" ;
            $("#product_list tbody").append(table1);
            total += Number(total_cost);
            $('#total').val(total);
            $('#qty').val("1");
}

    function deleterow(e)
    {
        total_cost = parseInt($(e).parent().parent().find('td:last').text(),10);
        total -= total_cost;
        $('#total').val(total);
        $(e).parent().parent().remove();
    }

            function addStudent()
            {
                if($("#frmProduct").valid())
                {     
                    var url="";
                    var data= "";
                    var method;
       
                    if(isNew==true)
                    {
                        url = 'add.jsp';
                        data = $("#frmProduct").serialize();
                        method = 'POST'
                        console.log(data);
                    }
                    else
                    {   
                        url = 'update.jsp';
                        data = $("#frmProduct").serialize() + "&catid=" + catid;
                        method = 'POST'
                        
                        console.log(data);
                    }

                    $.ajax({
                        
                        type: method,
                        url : url,
                        dataType: 'JSON',
                        data : data,
                        
                        success:function(data)
                        {
                            if(isNew ==true)
                            {
                                alert("Record Adddeddd");
                            }
                            else
                            {
                                 alert("Record Updatee");
                            }

                        }

                    });
                         
                    
                }
       
            }
            
            
            
            
            function getall()
            {
                
                $('#tbl-category').dataTable().fnDestroy();
                $.ajax({
                    
                    url: "all_category.jsp",
                    type : "GET",
                    dataType : "JSON",
                    
                    success:function(data)
                    {
                        
                       $('#tbl-category').dataTable({
                         "aaData":data,
                         "scrollX": true,
                         "aoColumns":
                            [
                                    {"sTitle": "Category","mData": "catname"},
                                    { "sTitle": "Status","mData": "status", "render": function (mData, type, row, meta)
                                    {
                                    if (mData == 1) {
                                        return '<span class="label label-info">Active</span>';
                                    }
                                    else if (mData == 2) {
                                        return '<span class="label label-warning">Deactive</span>';
                                    }
                                    }
                                    },
                     
                                    
                                    {
                                        "sTitle": 
                                        "Edit",
                                        "mData": "id",
                                        "render" : function(mData,type,row,meta)
                                        {
                                            return '<button class="btn btn-success" onclick="get_details('+ mData +')">Edit</button>';
                                        }
                                   },
                                    
                               {
                                        "sTitle": 
                                        "Delete",
                                        "mData": "id",
                                        "render" : function(mData,type,row,meta)
                                        {
                                            return '<button class="btn btn-danger" onclick="get_delete('+ mData +')">Delete</button>';
                                        }
                                   },
                                   ]
                       });   
                    }   
                });
            }
 
            function get_details(id)
            {
             
                $.ajax({
                    
                    type: "POST",
                    url : "edit_return.jsp",
                    data : {"id": id},
               
                    
                    success: function(data)
                    {
                        isNew = false
                        var obj = JSON.parse(data);
                        catid = obj[0].id
                        $('#category').val(obj[0].catname);
                         $('#status').val(obj[0].status);

                    }
  
                });
                
                
                
                
                
            }
            
            
            
            function get_delete(id)
            {   
                $.ajax({
                    type: 'POST',
                    url: 'delete.jsp',
                    dataType: 'JSON',
                    data:{"id": id},
                    success:function(data)
                    {
                        alert("Record Deletedddd");
                        getall();
                    } 
                });  
            }
 
 
 
 
   function addProject() {

           var table_data = new Array();
            $('#product_list tbody tr').each(function (row, tr) {
               
                var sum = {
                    //these records i am going to add into sales table
                    'barcode': parseInt($(tr).find('td:eq(1)').text()),
                    'pname': $(tr).find('td:eq(2)').text(),
                    'pro_price': $(tr).find('td:eq(3)').text(),
                    'qty': $(tr).find('td:eq(4)').text(),
                    'total': $(tr).find('td:eq(5)').text()
                };
                table_data.push(sum);
            });
            
            //these records i am going to add into sales
              var subtotal =  $('#subtotal').val();
              var pay =  $('#pay').val();
              var balance =  $('#balance').val();
          
              var data1 =  JSON.stringify(table_data) +  "&pay=" + pay +  "&subtotal=" + subtotal  +   "&balance=" + balance;
              var total =  $('#total').val();
                  
                 console.log(data1);
                  
    $.ajax({
        type: 'POST',
       url: '../salesadd',
     
        dataType: 'JSON',
        data: 'data1=' + data1,
        success: function (data)
        {
        
            console.log(data);
           
          // window.location.href = "print.jsp?lastinsetid=" + lastinsetid;
             
  
          
        },
        error: function (xhr, status, error)
        {
            console.log(xhr.responseText);
        }

    });
}
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
            
        </script>
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
    </body>
</html>
