
<%    
    String username = (String)session.getAttribute("username"); 
%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Inventory Management System in Jsp Servlet Ajax</title>
       
        <link rel="stylesheet" href="//cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css">
      <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
        
        
</head>
<body>
   
</br>
<div class="container-fluid bg-2 text-center">
<div class="row">
    <div class="col-sm-8">
        <form class="form-horizontal" id="frmInvoice">

            <table class="table table-bordered">
                <caption> Add Products  </caption>
                <tr>
                    <th>Product Code</th>
                    <th>Product Name</th>
                    <th>Price</th>
                    <th>Qty</th>
                   
                    <th>Amount</th>
                    <th>Option</th>
                </tr>
                <tr>
                    
                
                    
                    
                    <td>
                        
                       
                        
                        <input type="text" class="form-control" placeholder="barcode" id="barcode" name="barcode"  size="25px"  required>
                    </td>
                    <td>
                      
                        <label id="pname" name="pname"></label>
                        
                    </td>
                    <td>
                          <label id="pro_price" name="pro_price"></label>
                        
                    </td>
                   <td>
                    <input type="number" class="form-control pro_price" id="qty" name="qty"
                           placeholder="qty" min="1" value="1"  required>
                </td>
                <td>
                    <input type="text" class="form-control" placeholder="total_cost" id="total_cost" name="total_cost" disabled>
                </td>
                    <td>
                           <div class="focusguard" id="focusguard-2" tabindex="8"></div>
                            
                        <button class="btn btn-success" type="button" onclick="addproduct()">Add
                        </button>
            
                    
                    
                    
                </tr>
            </table>
        </form>
            <table class="table table-bordered" id="product_list">
                <caption> Products</caption>
                <thead>
                <tr>
                    <th style="width: 40px">Remove</th>
                    <th>Product Code</th>
                    <th>Product Name</th>
                    <th>Unit price</th>
                    <th>Qty</th>
                  
                    <th>Amount</th>
                    
                </tr>
                </thead>

                <tbody>
                    
                </tbody>
            </table>
    </div>




 
    <div class="col-sm-4">
      
        <div class="col s12 m6 offset-m4">
    
                     <td>
                        <input type="hidden"  id="uname" name="uname" value =" <%= username %> " >
                    </td>
            
            

            <div class="form-group" align="left">
                <label class="form-label">Total</label>
                <input type="text" class="form-control" placeholder="Total" id="subtotal" name="subtotal" size="30px" required >
            </div>

            

      

            <div class="form-group" align="left">
                <label class="form-label">Pay</label>
                <input type="text" class="form-control" placeholder="Pay" id="pay" name="pay" size="30px" required>
            </div>

            <div class="form-group" align="left">
                <label class="form-label">Balance</label>
                <input type="text" class="form-control" placeholder="Balance" id="balance" name="balance" size="30px"  >
            </div>
        </form>

         
         
            <div class="form-group" align="left">
                <label class="col-sm-2 control-label">Status</label>
                <select class="form-control" id="payment" name="payment"
                        placeholder="Project Status" required>
                    <option value="">Please Select</option>
                    <option value="1">Cash</option>
                    <option value="2">Cheque</option>
                </select>
            </div>


            <div align="right">
                <div class="focusguard" id="focusguard-2" tabindex="8"></div>
                <button id="btnadd" type="button" id="save" class="btn btn-info" onclick="addProject()">Print Invoice
                </button>
            
                
                <button type="button" id="clear" class="btn btn-warning" onclick="reSet()">Reset</button>

            </div>
        </div>
           
    </div>

</div>

<br><br>
        
        <script src="component/jquery/jquery.js" type="text/javascript"></script>

        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
        
        
        <script src="component/shortcut.js" type="text/javascript"></script>
        
        
        <script src="component/jquery.validate.min.js" type="text/javascript"></script>
         <script src="//cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js" type="text/javascript"></script>
        
        
        
        <script>
            
          //  getall();
            var isNew = true;
            var catid = null;
            
            var item = null;
         
         var newval = null;
            getCategory();




function getCategory(){
    
    
    $.ajax({

        type: "GET",
        url: "product/get_category.jsp" ,
        dataType: "JSON",
        
         success: function(msg)
        {
            console.log(msg);

            for (var i = 0; i < msg.length; i++) {
                $('#category').append($("<option/>", {
                    value: msg[i].id,
                    text: msg[i].catname ,
                }));
            }             
        },
        
       
        error: function (xhr, status, error) {
            alert(xhr.responseText);
//
        }

    });
}



   $('#barcode').on('input', function (e) 
    {
       getProductcode();
    });


    function getProductcode() {

            $.ajax({
                type: "POST",
                url: "product/get_id.jsp",
                dataType: "JSON",
                data: {"a": $("#barcode").val()},
                
                success: function(data) {

                  console.log(data);
                    
                    $('#pname').html(data[0].prodname);
                    $("#pro_price").html(data[0].retailprice);
                    $("#qty").focus();
                    current_stock=Number(data[0].qty);

                    


                    console.log(data.qty);
                },
                error: function(xhr, status, error) {

                }
            });
       
    }
    
     function single_product_total()
    {
        var qty = $('#qty').val();
        total = Number($('#pro_price').html()) * qty;
        $("#total_cost").val(total);
    }

    $('#qty').on('input keydown keyup click', function (e)
    {
            single_product_total();
    });
    
    
    
    

    $('#qty').on('input keydown keyup click', function (e)
    {
            single_product_total();
    });
    


 $(function() {
        $("#subtotal, #pay").on("keydown keyup", per);

        function per() {
            var totalamount = (
            Number($("#pay").val()) - Number($("#subtotal").val())
            );
            $("#balance").val(totalamount);
        }
    });


 var total = 0;
 function addproduct() 
 {
        var barcode = $('#barcode').val();   
        var pname = $('#pname').html();
        var pro_price = $('#pro_price').html();
        var qty = $('#qty').val();
        var total_cost = $('#total_cost').val();
       
            var table1 =
                "<tr>" +
                "<td><button type='button' name='record' class='btn btn-warning' onclick='deleterow(this)'>Delete </td>" +
                 "<td>" + barcode + "</td>" +
                "<td>" + pname + "</td>" +
                "<td>" +  pro_price +  "</td>" +
                "<td>" +  qty +  "</td>" +
                "<td>" +  total_cost +  "</td>" +
                "</tr>" ;

        
            $("#product_list tbody").append(table1);
            
   
            total += Number(total_cost);
            

            $('#subtotal').val(total);
            $('#barcode').val('');
            $('#total').val(total);
            $('#qty').val("1");
            $('#pname').html('');
            $('#pro_price').html('');
            $('#qty').val("1");
            $('#total_cost').val('');
            $('#barcode').focus();            
}

    function deleterow(e)
    {
        total_cost = parseInt($(e).parent().parent().find('td:last').text(),10);
        total -= total_cost;
        $('#total').val(total);
        $(e).parent().parent().remove();
    }

           
    $(function() {
    $("#subtotal, #pay").on("keydown keyup", per);

    function per() {
        var totalamount = (
        Number($("#subtotal").val()) - Number($("#pay").val())
        );
        $("#due").val(totalamount);
    }
});
            
            
           
 
            function get_details(id)
            {
                $.ajax({
                    type: "POST",
                    url : "product/edit_return.jsp",
                    data : {"id": id},
                    success: function(data)
                    {
                        isNew = false
                        var obj = JSON.parse(data);
                        catid = obj[0].id
                        $('#category').val(obj[0].catname);
                         $('#status').val(obj[0].status);
                    }
                });
   
            }

            function get_delete(id)
            {   
                $.ajax({
                    type: 'POST',
                    url: 'product/delete.jsp',
                    dataType: 'JSON',
                    data:{"id": id},
                    success:function(data)
                    {
                        alert("Record Deletedddd");
                        getall();
                    } 
                });  
            }

   function addProject()
   {
      var table_data = new Array();
        $('#product_list tbody tr').each(function (row, tr)
       {
   
         var sum = {
             //these records i am going to add into sales table
                    'barcode': parseInt($(tr).find('td:eq(1)').text()),
                    'pname': $(tr).find('td:eq(2)').text(),
                    'pro_price': $(tr).find('td:eq(3)').text(),
                    'qty': $(tr).find('td:eq(4)').text(),
                    'total': $(tr).find('td:eq(5)').text()
                };
                table_data.push(sum);
            });
            //these records i am going to add into sales
              var subtotal =  $('#subtotal').val();
              var pay =  $('#pay').val();
              var balance =  $('#balance').val();
              var uname =  $('#uname').val();
              
              var data1 =  JSON.stringify(table_data) +  "&pay=" + pay +  "&subtotal=" + subtotal  +   "&balance=" + balance  +   "&uname=" + uname ;
              var total =  $('#total').val();
                       
           
              
              console.log(data1);
              
    $.ajax({
        type: 'POST',
        url: 'salesadd',
        dataType: 'JSON',
        data: 'data1=' + data1,
        
        success: function (data)
        {
            
            console.log(data);
            newval = data[0].newval
            
           
           
         window.location.href = "print.jsp?lastinsetid=" + newval ;
            
        },
        error: function (xhr, status, error)
        {
            console.log(xhr.responseText);
        }
    });
}


//    keyboard shortcuts
    shortcut.add("f8",function() {
       $('#pay').focus();
        $('#pay').select();
    });
    shortcut.add("f6",function() {
        $('#barcode').focus();

    });
    $(document).keypress(function(e) {
        if(e.which == 13 && $('#pay').is(":focus")) {
            addProject();
        }
    });
    
   function cancel(){
        $('#frmCustomer')[0].reset();
        $('#mdlCustomer').modal('hide');
        $('#cusDetails').html('');
        $('#selectCus').hide();
        $('#cusErr').html('');
        $('#cusphonesearch').val('');
    }
    
    
     $('#focusguard-2').on('focus', function() {
        $('#barcode').focus();
    });

    $('#focusguard-1').on('focus', function() {
        $('#btnadd').focus();
    });
    
    









 
        </script>
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
    </body>
</html>
